/*
 * Copyright IBM Corporation, 2012
 * Author Kingsuk Deb <kingsdeb@linux.vnet.ibm.com>
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of version 3.0 of the GNU Lesser General Public License
 * as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it would be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.


 * A simple print message RPC client program.
 */


#include "printmsg.h"

void main (int argc, char *argv[])
{
    CLIENT *clnt;
    char **msg;

        if (argc < 2) {
                printf ("usage: %s server_host\n", argv[0]);
                exit (1);
        }

    /* Create client RPC handle */
    clnt = clnt_create (argv[1], PRINTMSGPROG, PRINTMSGVERS, "tcp");
    if (clnt == NULL) {
        clnt_pcreateerror (argv[1]);
        exit (1);
    }

    /* Call Server procedure */
    msg = printmsg_1(NULL, clnt);
    if (msg == (char **) NULL) {
        clnt_perror (clnt, "call failed");
    }

    printf("Message from Server:%s\n", *msg);
    clnt_destroy (clnt);
}
